import influxframework
from influxframework.utils import cint


def execute():
	influxframework.reload_doc("influxerp_integrations", "doctype", "woocommerce_settings")
	doc = influxframework.get_doc("Woocommerce Settings")

	if cint(doc.enable_sync):
		doc.creation_user = doc.modified_by
		doc.save(ignore_permissions=True)
